Bug 462338 - xrandr reports resolution not supported by monitor
xrandr reports resolution not supported by monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 10:15 EDT by Hans de Goede
Modified: 2009-12-18 01:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:23:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.log (514.42 KB, text/plain)
2008-09-15 10:15 EDT, Hans de Goede
no flags Details
xorg.conf (735 bytes, text/plain)
2008-09-15 10:17 EDT, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2008-09-15 10:15:57 EDT
Created attachment 316752 [details]
xorg.log

Description of problem:

Fully up2date rawhide (from beta f10 freeze), allows me to select in 1400x1050 in resolution change gui thingie. Doing so results (unsurprisingly) in a black screen on my 1280x1024 lcd monitor (connected through standard vga).

Note this is with "nomodeset" !

[hans@localhost ~]$ xrandr --prop
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 3320 x 1400
DVI-1 disconnected (normal left inverted right x axis y axis)
                dvi_monitor_type: auto
                scaler: off
                tmds_pll: bios
        load_detection: 1 (0x00000001) range:  (0,1)
DVI-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
        EDID_DATA:
                00ffffffffffff003aac000000000000
                011001036c221b78eafd06a35b4a9826
                1f4f54bfef808180818a714f6146614a
                454c81406146302a009851002a403070
                1300520e1100001e000000fd00324b18
                500e000a202020202020000000fc0031
                3727270a2020202020202020000000fc
                00200a20202020202020202020200005
                dvi_monitor_type: auto
                scaler: off
        load_detection: 1 (0x00000001) range:  (0,1)
   1280x1024      60.0*+   75.0     70.0     60.0* 
   1400x1050      60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.0     70.1     66.0     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     75.0     66.7     59.9  
   720x400        70.1
Comment 1 Hans de Goede 2008-09-15 10:17:40 EDT
Created attachment 316753 [details]
xorg.conf

And my xorg.conf, and no I will not try without an xorg.conf unless asked so by a _developer_ as my xorg.conf contains nothing related to monitor configuration.
Comment 2 Adam Jackson 2008-09-30 12:55:20 EDT
Strange.

I think what's happening here is that your monitor is lying a bit about what it can do.  I doubt those 1280x1024 modes above 60Hz work, for example.  The 1400x1050 mode is just sneaking through because it happens to look smaller than 1280x1024@75:

  # 1400x1050 @ 60.00 Hz (GTF) hsync: 65.22 kHz; pclk: 122.61 MHz
  # 1280x1024 @ 75.00 Hz (GTF) hsync: 80.17 kHz; pclk: 138.54 MHz

I'm also a bit weirded out by your monitor.  NUL isn't a valid vendor name according to pnp.ids.  What kind of monitor do you have anyway?
Comment 3 Hans de Goede 2008-09-30 15:41:59 EDT
Its a yuraku MA7B:
http://www.yuraku.com.sg/proddetails.asp?prodid=5&catid=45

The backside says is a MA7BBA, so there might be various revisions.

What can I see its cheap, it works and it comes with a 3 year pickup (and drop a replacement while picking up) warranty.
Comment 4 Hans de Goede 2008-09-30 15:46:19 EDT
You are right about 1280x1024 @ 75 hz that doesn't work either.
Comment 5 Bug Zapper 2008-11-25 22:05:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jóhann B. Guðmundsson 2008-12-01 06:34:26 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.
Comment 7 Hans de Goede 2008-12-02 08:02:34 EST
Still happens with kernel -132 and xorg-x11-drv-ati -61
Comment 8 Hans de Goede 2008-12-02 17:05:10 EST
<sigh> I see no additional info request here so why has this been put in needinfo?
Comment 9 Matěj Cepl 2008-12-04 09:05:34 EST
(In reply to comment #8)
> <sigh> I see no additional info request here so why has this been put in
> needinfo?

Because I made a mistake. Sorry.
Comment 10 Bug Zapper 2009-11-18 03:23:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:23:41 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.